//==============================================================================
//
// Snake
// -----
// http://www.masterspace.biz/andreschnabel/
// 2006 by André Schnabel (thefrogs@web.de)
//
//==============================================================================

// map.h

#ifndef MAP_H
#define MAP_H

#include "globals.h"

#define MAP_WIDTH 	SCR_W / BLOCK_W
#define MAP_HEIGHT	SCR_H / BLOCK_H

extern int map[MAP_HEIGHT][MAP_WIDTH];

void ClearMap(void);
void LoadMap(const char *filename);
void SaveMap(const char *filename);
void DrawMap(void);
boolean TileOnPos(int x, int y);

#endif
